Skip to content
POST/{organizationId}/{mandateId}/finance/accounts/debtors/list

List debtors

Returns a list of debtors for the given mandate

Required permissions:

  • mandate.read

  • debtor.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
debtorNamestringoptional
contactsstringoptional

Default: "include"

Options:

includeexcludeonly

maxItems: 100

maxItems: 100

A stringified json object representing a property filter

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounts/debtors/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/debtors/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "debtors": [
    {
      "_id": "000000000000000000000001",
      "mandates": [
        "000000000000000000000001"
      ],
      "type": "business",
      "contact": "000000000000000000000001",
      "account": 1,
      "name": "string",
      "nameSort": "string",
      "address": {
        "country": "string",
        "zip": "string",
        "city": "string",
        "addressLine": "string"
      },
      "email": "",
      "receiptSendMethod": "none",
      "details": "string",
      "paymentMethodType": "sepaCreditTransfer",
      "sepaDirectDebitMandate": {
        "iban": "string",
        "bic": "string",
        "sepaMandateId": "string",
        "sepaMandateSignatureDate": "string",
        "accountHolderName": "string",
        "accountHolderAddress": {
          "country": "string",
          "zip": "string",
          "city": "string",
          "addressLine": "string"
        }
      },
      "onlinePayment": {
        "providers": [
          "stripe"
        ],
        "linkToken": "string",
        "linkTokenExpiresAt": "string",
        "paymentMethods": [
          {
            "paymentMethod": "000000000000000000000001",
            "default": true
          }
        ]
      },
      "blockedAt": "2026-06-15T22:30:00Z",
      "blockedBy": {
        "name": "string",
        "type": "user",
        "userId": "string",
        "image": {
          "resource": "string"
        }
      },
      "blockedNote": "string",
      "blockMode": "all",
      "disableAutomaticReminders": true,
      "totalOwedFromDebtor": -9007199254740991,
      "totalOwedToDebtor": -9007199254740991,
      "totalDeposit": -9007199254740991,
      "supplierNumber": "string",
      "birthdate": "string"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}